@charset "UTF-8";

/*共通部分*/

html{
    font-size: 100%;/*ユーザーの設定した文字サイズを反映*/
    
}

body{
    
    font-family:"M PLUS 1","Zen Kaku Gothic New", sans-serif;
    font-style: normal;
    display: flex;
    justify-content: space-between;
    gap: 0;

    color: #4F3636;
    background: #fff;
    
    
}
.bg-grid{
    position: fixed;
    inset: 0;
    z-index: -2; 
    /* 方眼紙模様に必須のスタイル */
    background-image: linear-gradient(0deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px)),
    linear-gradient(90deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px));
    background-size: 35px 35px;
    background-repeat: repeat;
    background-position: center center;
}

img{
    display: block;
}
/*ハンバーガーメニュー（PC非表示）*/
/*ハンバーガーボタン */
.hamburger{
  position: fixed;
  top: 20px;
  right: 20px;
  width: 56px;
  height: 56px;
  background: #60AFA4;
  border-radius: 12px;
  border: none;
  display: none; /* PCでは非表示 */
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  z-index: 10000;
  cursor: pointer;
}

.hamburger span{
  width: 28px;
  height: 4px;
  background: #fff;
  border-radius: 4px;
  transition: 0.3s ease;
}

/* ×に変形 */
.hamburger.active span:nth-child(1){
  transform: translateY(10px) rotate(45deg);
}
.hamburger.active span:nth-child(2){
  opacity: 0;
}
.hamburger.active span:nth-child(3){
  transform: translateY(-10px) rotate(-45deg);
}

/*スライドメニュー*/
.sp-menu{
  position: fixed;
  top: 0;
  right: 0;
  width: min(80vw, 320px);
  height: 100vh;
  background: #60AFA4;
  border-radius: 20px 0 0 20px;
  padding: 120px 24px;
  display: flex;
  flex-direction: column;
  gap: 24px;

  transform: translateX(100%);
  transition: transform 0.4s ease;
  z-index: 9999;
}

.sp-menu a{
  text-decoration: none;
  color: #fff;
}

.sp-menu-item{
  display: flex;
  flex-direction: column;

  padding: 10px;
  text-align: center;
  border-radius: 14px;
  transition: background-color 0.3s ease;
}
.sp-menu-item:hover{
  background: rgba(255,255,255,0.25);
}
/* メイン文字 */
.sp-menu-item .main{
  font-size: 24px;
  font-weight: 700;
}

/* サブ文字 */
.sp-menu-item .sub{
  font-size: 14px;
  opacity: 0.9;
}



/* メニュー表示 */
.sp-menu.active{
  transform: translateX(0);
}
/*ハンバーガーここまで*/

/*緑のグラウンド*/
.global-oval{
    position: fixed;
    left: 50%;
    bottom: -33vh;
    width: 120%;
    height: 70vh;
    background: #61b0a4;
    border-radius: 50%;
    transform: translateX(-50%);
    pointer-events: none;
    z-index: 0;
}

/*左側部分*/
.left-area{
    order: 1;
    width: 30vw;
    height: 100vh;
    position: sticky;
    top: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 9999;
    overflow: hidden;
}

.left-wrap{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* 左エリアの基準サイズ */
    --left-base: min(30vw, 420px);
} 
.left-stage{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: var(--left-base);
  aspect-ratio: 3 / 5;   /* ← デザイン比率 */
  
  overflow: visible;    /* はみ出しOK */
}


/*左のパズル装飾　上と下*/
.left-deco, .right-deco{
  position: absolute;
  inset: 0;
  z-index: 4;
  pointer-events: none;
}
.left-deco::before{
    content: "";
    position: absolute;
    top: -13%;
    left: 50%;
    transform: translateX(-50%);
    width: 140%;
    aspect-ratio: 1.5 / 1;
    background: url(img/pc-left-pazuru01.svg) no-repeat center / contain;
}
.left-deco::after{
    content: "";
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-85%);
    width: 100%;
    aspect-ratio: 1.5 / 1;
    background: url(img/pc-left-pazuru02.svg) no-repeat center / contain;
}

/*左側内容*/
.left-content{
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.left-logo{
  margin-top: 35%;
  width: 65%;
  pointer-events: none;
}
.char1{
    position: absolute;
    width: 25%;
    top: 31%;
    left: 15%;
    transform: translateX(-50%);
    pointer-events: none;
}
.date-img{
    position: absolute;
    width: 65%;
    top: 40%;
    left: 17%;
    transform: rotate(-15deg);
}
.char2{
    position: absolute;
    width: 35%;
    top: 70%;
    left: 85%;
    transform: translateX(-50%);
    pointer-events: none;
}
/* 左側ここまで */


/*右側部分*/
.right-area{
    order: 3;
    width: 30vw;
    height: 100vh;
    position: sticky;
    top: 0;

    z-index: 9999;
}

.menu-wrap{
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;

  --menu-base: min(30vw, 420px);
}
.right-stage{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: var(--menu-base);
  aspect-ratio: 3/5;        
  
  overflow: visible;
}


/*右のパズル装飾 上と下*/
.right-deco::before{
    content: "";
    position: absolute;
    top: -10%;
    left: 50%;
    transform: translateX(-50%);

    width: 350%;
    aspect-ratio: 4 / 1;
    background: url(img/pc-right-pazuru01.svg) no-repeat center / contain;
}
.right-deco::after{
    content: "";
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-35%);

    width: 200%;
    aspect-ratio: 4 / 1;
    background: url(img/pc-right-pazuru02.svg) no-repeat center / contain;
}
.char5{
    position: absolute;
    width: 30%;
    top: -3%;
    left: 98%;
    transform: translateX(-50%);
    pointer-events: none;
    z-index: -1;
}
/*メニュー部分*/
.menu{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    transform: rotate(10deg);

    top: 33%;
    left: -5%;
}
.menu-scale{
  width: min(20vw, 320px);
  position: relative;
  z-index: 10;
}

/*看板の棒*/
.menu-scale::before{
    content: "";
    position: absolute;
    width: 7%;
    height: 160%;
    background: #d9d9d9;
    top: 78%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;             /* 看板の裏に */
    border-radius: 4px 4px 10px 10px;
}
/*看板上のよくなるくん*/
.char3-body{
    position: absolute;
    width: 35%;            /* 看板幅基準 */
    top: -13%;             /* 看板高さ基準 */
    left: 17%;
    transform: translateX(-50%);
    z-index: -2;           /* 看板の後ろ */
    pointer-events: none;
}
.char3-arm{
    position: absolute;
    width: 10%;
    top: 1%;
    left: 29%;
    transform: translateX(-50%);
    z-index: 5;            /* 看板より前 */
    pointer-events: none;
}
/*看板下のよくなるくんと台*/
.puzzle-wrap{
    position: relative;
    width: 100%;
}
.menu-board{
    width: 100%;
    display: block;
    margin-top: 20px;
}
.char4{
    position: absolute;
    width: 45.6%;
    left: 50%;
    bottom: -93%;
    transform: translateX(0.4%) translateY(-0.4%) rotate(-9.5deg);
    z-index: 3;
    pointer-events: none;
    transition: transform 0.3s ease;
}
.menu-item-last .char4{
    transform: translateX(3%) translateY(3%) rotate(-9deg);
}

.menu-item-last:hover .char4{
    transform: translateX(0.4%) translateY(-0.4%) rotate(-9.5deg);    
}
.char-stand{
    position: absolute;
    width: 30%;
    left: 65%;
    bottom: -176%;
    transform: rotate(-9deg);
    z-index: 2;
    pointer-events: none;
}
/*右側ここまで*/



/*main*/
.center{
    order: 2;
    width: 40vw;
    z-index: 1;
    position: relative;
}


/* 確認用ダミー */
.center-scroll {
    width: 100%;
}
.center-scroll::before {
    content: "";
    position: absolute;
    inset: 0;

    background-color: #fff;
    background-image:  linear-gradient(rgba(255, 255, 255, 0.8)), url(img/bg-pazuru.png);
    background-repeat: repeat-y;
    background-position: center top;
    background-size: 100% auto;
    z-index: -1;
}
.center-block {
    position: relative;
    min-height: 120vh;
    overflow: hidden;
    font-size: 48px;
    font-weight: bold;
    color: #333;
    z-index: -1;
}



article {
    position: relative;
    min-height: calc(150vh + 50vh);
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image:url(img/bg-top.png);
    background-repeat: no-repeat;
    background-position: center top;
    background-size: 40vw 70vh;
}

/*topの画像設定*/
/* .back-img {
    width: 100%;
} */
.article-img1 {
    width: 25vw;
    margin-top: 4vh;
    position: relative;
    z-index: 1;
}
.article-img2 {
    z-index: 2;
    width: 13vw;
    margin-top: 20%;
}
.article-img3 {
    z-index: 2;
    width: 15vw;
}
.article-img4{
    width: 100%;
    margin-top: 30%;
    display: flex;
    justify-content: center;
}
.article-img4 .nohara{
    width: 100%;
    height: auto;
    display: block;
}


.light {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 14vw;
    max-width: none;
    z-index: 2;
    pointer-events: none;
}
.top-textback {
    width: 30vw;
    max-width: 600px;
}

.textback {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: 20vh;
    transform: translateX(-50%);
    z-index: 3;
    pointer-events: none;
}

.top {
    position: absolute;
    top: calc(15vh + 20%);
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    gap: 6vw;
    z-index: 3;
}

.img07{
    margin: 7% 0 0 auto;
    width: fit-content;
}
.img07 img{
    width: 90%;
}
main p, main h3, main h1{
    color: #4F3636;
    text-align: center;
    line-height: 2;
}
.main-title{
    padding: 10% 3%;
    font-size: 25px;
}
.text-big {
    font-size: 36px;
}
main h3 {
    font-size: 25px;
    padding: 0 3% 5% 3%;
}

.sakuhin-pick-up{
    margin-bottom: 15%;
}
.frame{
    position: relative;
}
.yokunaru-img{
    width: 30%;
    position: absolute;
    top: 65%;
    left: 60%;
}
.pro-img{
    display: block;
    width: 86%;
    margin: 0 auto;

    background-size: 93%;
    background-position: 1vw 1vw;/*左・上*/

    overflow: hidden;
}
.img1{
    background-image: url(img/postmark-rally.png);
}
.img2{
    background-image: url(img/ezosikaniku.JPG);
}
.img3{
    background-image: url(img/kurihuto.jpg);
}
.main-text{
    margin: 7% auto;
    padding: 5%;
    text-align: left;
    width: 90%;
    font-family: 'Zen Kaku Gothic New';
    font-size: 20px;
    font-weight: 600;
    background-color: #FFF8E6;
    border-radius: 5%;
}
.lineup-link{
    position: relative;
}
.link-bg{
    width: 100%;
}
.link{
    position: absolute;
    width: 35%;
    top: 50%;
    left: 45%;
}

/*↓ゼミ紹介↓*/
/*斎藤一ゼミの設定*/
.zemi-title {
    font-size: 36px;
    margin-top: 30vh;
    margin-bottom: 5vh;
}
.saitozemi {
    position: relative;
    width: min(80%, 420px);
    min-width: 420px;
    margin: 0 auto 15%;
}
.zemikanban {
    position: relative;
    width: 100%;
    display: block;
    margin: 0 auto;
    z-index: 0;
}
.zemi-name-hazime {
    position: absolute;
    top: 19%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    font-weight: 600;
    color: #ffff;
    z-index: 2;
    pointer-events: none;
}
.zemi-logo-hazime {
    position: absolute;
    top: 23%;
    left: 50%;
    transform: translateX(-50%);
    width: 300px;
    max-width: 300px;
    z-index: 1;
    pointer-events: none;
}
.zemi-text-hazime p{
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translateX(-50%);
    width: 300px;
    font-size: 17px;
    line-height: 2.0;
    color: #ffff;
    text-align: left;
    
    z-index: 2;
}
.zemi-text-hazime a {
    color: #ffff;
    text-decoration: underline;
}
.kanban-hazime-wrap {
    position: relative;
    width: 100%;
}
/* SNSのほうがどうなるかわからないのでコメントアウト */
/* .snsbox-hazime {
    position: absolute;
    right: -11%;
    bottom: 13%;
    display: flex;
    gap: 3%;
    z-index: 5;
}
.snsbox-hazime .sns-hazime {
    width: 30%;
    max-width: 90px;
} */
/*斎藤ゼミここまで*/

/*杉澤ゼミの設定*/
.sugisawa {
    position: relative;
    width: min(80%, 420px);
    min-width: 420px;
    margin: 0 auto 15%;
}
.kanban-sugisawa-wrap {
    position: relative;
    width: 100%;
}
.zemi-name-sugisawa {
    position: absolute;
    top: 19%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    font-weight: 600;
    color: #ffff;
    z-index: 2;
    pointer-events: none;
}
.zemi-logo-sugisawa {
    position: absolute;
    top: 23%;
    left: 50%;
    transform: translateX(-50%);
    width: 300px;
    max-width: 300px;
    z-index: 1;
    pointer-events: none;
}
.zemi-text-sugisawa p {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translateX(-50%);
    width: 300px;
    font-size: 17px;
    line-height: 2.0;
    color: #ffff;
    text-align: left;
    
    z-index: 2;
}
.zemi-text-sugisawa a {
    color: #ffff;
    text-decoration: underline;
}

/*杉澤ゼミここまで*/


/*参加メンバー*/
.member {
    position: relative;
    width: min(100%, 700px);
    min-width: 420px;
    margin: 0 auto 15%;
}
.kanban-member-wrap {
    position: relative;
    width: min(80%, 420px);
    margin: 0 auto;
}
/*kanban画像*/
.member-kanban {
    position: relative;
    width: 100%;
    display: block;
    z-index: 1;
}
.zemi-member {
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    font-weight: 600;
    color: #ffff;
    z-index: 2;
    pointer-events: none;
    white-space: nowrap;
}
.member-icons {
    position: absolute;
    top: 15%;
    left: 54%;
    transform: translateX(-50%);
    
    display: grid;
    grid-template-columns: repeat(3,1fr);   /*一列三つ*/
    gap: 18px 12px;
    width: 80%;
    z-index: 2;
}
.member-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80px;
    text-align: center;
}
.member-item img {
    display: block;
    width: 90%;
    margin-bottom: 5%;
}
.member-name {
    font-size: 16px;
    margin-top: 4px;
    color: #ffff;
    white-space: nowrap;
}
/*参加メンバーここまで*/

/*よくなるくん*/
.about-yokunaru{
    position: relative;
    margin: 20% 0;
    height: 155vh;
}
.bg-under-div{
  position: absolute;
  inset: 0;
  overflow: hidden;
  z-index: -1;
}

.bg-under{
    position: absolute;
    top: 0;
    left: -2%;
    width: 102%;
    z-index: -1;
    
}

.yokunarukun{
    position: absolute;
    top: 18%;
    left: 10%;
    z-index: 1;
    width: 80%;
}
.glass{
    position: absolute;
    top: 18%;
    left: 14%;
    width: 37%;
    z-index: 2;
}
.tenji{
    position: absolute;
    top: 17%;
    left: 0;
    width: 100%;
    z-index: 0;
}

/*フッター*/
footer{
    background-color: #FFF;
    background-image: linear-gradient(rgba(255,255,255,0.8)), url(img/bg-pazuru.png);
    background-size: 100% auto;
}
.kousin-chu{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    font-size: 2vw;
    font-weight: 800;
    padding: 5vw 0 0;
}
@media (max-width: 1150px) {
    .kousin-chu{
        padding: 20vw 0 0;
    }
  
}

.kousin-chu::before{
    content: "";
    width: 2vw;
    height: 10vw;
    background-image: url("img/bouhi.png");
    background-size: contain;
    background-position: center;
}
.kousin-chu::after{
    content: "";
    width: 2vw;
    height: 10vw;
    background-image: url("img/boumi.png");
    background-size: contain;
    background-position: center;
}
@media (max-width: 768px) {
    .kousin-chu{
        font-size: 3vw;
    }
    .kousin-chu::before{
        width: 3vw;
    }
    .kousin-chu::after{
        width: 3vw;
    }
  
}

.X{
    display: block;
    width: 30%;
    margin: 0 auto;
}
.oka-yokunaru{
    display: block;
    width: 100%;

    margin: -3.8vw 0 -1px;
}
.mail ,.oka-dodai small{
    font-size: 1vw;
}
@media (max-width: 1150px) {
    .oka-yokunaru{
        margin: -6.5vw 0 -1px;
    }
    .mail ,.oka-dodai small{
    font-size: 3vw;
    }
}
@media (max-width: 768px) {
    .oka-yokunaru{
        margin: -10vw 0 -1px;
    }
    .mail ,.oka-dodai small{
    font-size: 3vw;
    }
}
.html-2025{
    text-align: initial;
    background-color: #006B5C;
    color: #FFF;

    width: fit-content;

    margin: 2vw auto;
    padding: 1.5vw 2vw;

    border-radius: 3vw;
    text-decoration: none;
}


.oka-dodai{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    background-color: #F5A200;
    padding: 3vw 0 2vw;
}
/*フッターここまで*/


/* レスポンシブデザイン */
/*タブレット*/
@media (max-width: 1150px) {
    header{
        display: none;
    }
    .hamburger{
        display: flex;
    }
    
    .global-oval{
        bottom: -25vh;
        transform: translateX(-50%);
    }
    .left-area{
        width: 35vw;
    }
    .left-deco::before{
        top: -50%;
        left: 50%;
        transform: translateX(-50%);
        width: 170%;
        aspect-ratio: 1.5 / 1;
        background: url(img/tablet-pazuru01.svg) no-repeat center / contain;
    }
    .left-deco::after{
        bottom: -70%;
        left: 50%;
        transform: translateX(-50%);
        width: 230%;
        aspect-ratio: 1.5 / 1;
        background: url(img/tablet-pazuru02.svg) no-repeat center / contain;
    }
    .left-logo{
        margin-top: 30%;
        width: 90%;
        pointer-events: none;
    }
    .char1{
        position: absolute;
        width: 35%;
        top: -8%;
        left: -3%;
        transform: translateX(-50%);
        pointer-events: none;
    }
    .date-img{
        position: absolute;
        width: 65%;
        top: 40%;
        left: 17%;
        transform: rotate(-5deg);
    }
    .char2{
        position: absolute;
        width: 45%;
        top: 70%;
        left: 70%;
        transform: translateX(-50%);
        pointer-events: none;
    }

    /*真ん中*/
    .center{
        width: 65vw;
    }
    article{
        background-size: 65vw 70vh;
    }
    .light{
        width: 44vw;
    }
    .article-img1{
        width: 50vw;
    }
    .top{
        top: 27%;
        gap: 3vw;
    }
    .article-img2{
        width: 25vw;
        margin-top: 15vh;
    }
    .article-img3{
        width: 33vw;
    }
    .top-textback{
        width: 45vw;
    }
    .textback{
        margin-top: 30%;
    }
    .article-img4{
        margin-top: 40%;
    }
    .nohara{
        width: 100%;
    }
    .pro-img{
        background-position: 2vw 2vw;
    }
}
/*スマホ*/
@media (max-width: 768px) {
    .left-area {
        display: none;
    }
    body {
        justify-content: center;
    }
    .global-oval{
        display: none;
    }
    .center{
        width: 100%;
    }
    article{
        width: 100%;
        background-size: 100% 80vh;
    }
    .light{
        width: 50vw;
    }
    .article-img1{
        width: 90vw;
    }
    .top{
        top: 26%;
        gap: 2vw;
    }
    .article-img2{
        width: 38vw;
        margin-top: 23vh;
    }
    .article-img3{
        width: 53vw;
    }
    .top-textback{
        width: 85vw;
    }
    .textback{
        margin-top: 20vh;
    }
    
    .nohara{
        width: 100%;
    }
    .pro-img{
        background-position: 3vw 3vw;
    }
    .img07 img {
        width: 80%;
    }

    /*スマホ版のゼミ紹介*/
    .zemikanban {
        min-width: unset;
        max-width: 400px;
    }
    .zemi-logo-hazime,.zemi-logo-sugisawa {
        width: 80%;
    }
    .zemi-text-hazime, .zemi-text-sugisawa {
        width: 48%;
        font-size: 10px;
    }
    .zemikanban {
        width: 350px;
    }
    .zemi-text-hazime p,.zemi-text-sugisawa p {
        font-size: 15px;
    }
    .zemi-title {
        margin-top: 15vh;
        font-size: 30px;
    }
    .zemi-logo-hazime,.zemi-logo-sugisawa {
        width: 70%;
        margin-bottom: none;
    }
    .member,.saitozemi,.sugisawa {
        min-width: unset;
        width: 100%;
    }

    /*スマホ版の参加メンバー*/
    .kanban03 {
        width: 320px;
        max-width: none;
    }
    .member-icons {
        width: 260px;
        gap: 12px;
        left: 50%;
    }
    .member-icons img {
        width: 50px;
        height: 50px;
    }
    .member-name {
        font-size: 14px;
        white-space: nowrap;
    }

    /*よくなる君の設定*/
    .about-yokunaru {
        height: 100vh;  /*xとよくなる君の間を調整*/
    }
    /*xの設定*/
    .kousin-chu {
        padding: 0;
    }
}